Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.generic.ejb
Class EjbDataControl

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCDataControl
oracle.adf.model.generic.DCGenericDataControl
oracle.adf.model.generic.ejb.EjbDataControl`

All Implemented Interfaces:
  oracle.adf.model.DataControl, DataControl, DCDataControlManagement, java.util.Map

public class EjbDataControl
extends DCGenericDataControl

Class that exposes EJB-wrapped beans to the data control services.

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.adf.model.generic.DCGenericDataControl
`DC_ROOT_ACC_NAME, mDef, mRSIs, mStructureDefs`

Fields inherited from class oracle.adf.model.binding.DCDataControl
`ABSTRACT, GET_ApplicationModule, GET_dataProvider, GET_DataProvider, GET_MethodResults, GET_Name, JCLIENT, mBindingContainerList, mDataProvider, mErrorHandler, mErrorHandlerActive, mErrorHandlerThrow, mIsRoot, mLocaleCtx, mName, mParent, mRootApplication, mStatusBarList, mTxnListeners, mUserData, OPER_CTRL_BINDING_VALIDATION, OPER_DATA_ROW_CREATE, OPER_DATA_ROW_REMOVE, OPER_DATA_ROW_UPDATE, OPER_EXECUTE, OPER_FIND_MODE, OPER_SORT_COLLECTION, PNAME_Type, REL_ALL_REFS, REL_DATA_REFS, REL_VIEW_REFS, REL_WEAK_DATA_REFS`

Constructor Summary
`EjbDataControl(java.lang.String name, java.lang.String beanClass, java.lang.Object beanInstance)`
`EjbDataControl(java.lang.String name, java.lang.String beanClass, java.lang.Object beanInstance, boolean root)`

Method Summary
`boolean` | `isOperationSupported(DCIteratorBinding iterBinding, byte oper)` Returns true for find(execute), defers to super for the rest

Methods inherited from class oracle.adf.model.generic.DCGenericDataControl
`applySortCriteria, applyViewCriteria, beginRequest, closeRowSetIterators, commitTransaction, createCriteriaRowMatch, createRowData, createRowSetIteratorImpl, createViewCriteria, endRequest, executeIteratorBinding, executeIteratorBindingIfNeeded, executeMethodIterators, fetchProperty, fetchProviderProperty, fetchRowSetIterator, findOrCreateAccessorRowSetIterator, findOrCreateAccessorRowSetIterator, findOrCreateMethodRowSetIterator, findRootRowSetIterator, findStructureDef, getAccessorDefs, getAccessorValue, getAttributeDefs, getAttributeDefs, getCriteriaAdapter, getDataProvider, getDefinition, getEstimatedRowCount, getRowSetIterator, getSortCriteria, getViewCriteria, initDCProperties, initializeBindingContainer, initializeRSIs, invokeMethod, invokeOperation, isAttributeSortable, isTransactionDirty, registerDataProvider, release, removeRowData, resetState, restoreRSIs, rollbackTransaction, setCurrentRowWithKey, setCurrentRowWithKey, setCurrentRowWithKeyValue, validate`

Methods inherited from class oracle.adf.model.binding.DCDataControl
`addBindingContainer, addBindingContainer, addBindingContainer, addBindingContainerRef, addBindingWithExc, addOrCreateBindingContainer, addStatusBarInterface, addTransactionStateListener, cacheMethodResult, callCommitTransaction, cleanup, connect, createAccessorRowSetIterator, createAccessorRowSetIterator, createAccessorRowSetIterator, createBindingContainer, createBindingContainerInstance, createRowSetIteratorImpl, displayStatus, displayStatus, doneCommit, doneRollback, executeIteratorBindingWithParams, findBindingContainer, findOrCreateRowSetIteratorImpl, findVariable, focusGained, get, getApplicationModule, getBindingContext, getCurrentErrorHandler, getDef, getErrorHandlerActive, getLocaleContext, getMethodResults, getMethodResultUseCount, getName, getParent, getRootDataControl, getSecurityContext, getSessionContext, getSessionContextManager, getUserData, hasBindingsWithExc, hashCode, hasOperationParamsChanged, hasPermission, hasPermission, hasPermission, initialize, initializeContainerFromDef, initializeFromMetadata, internalGet, internalGetCurrentRow, internalPut, internalSetTransactionStateChanged, invokeMethod, isBoundRowIteratorEvent, isClientTier, isJClientApp, isRoot, isTransactionModified, rebuildIteratorIfNeeded, release, removeBindingContainer, removeBindingWithExc, removeRowDataFromCollection, removeStatusBarInterface, removeTransactionStateListener, reportException, resetAttributeExceptionInRow, resolveAttributeDefs, setAttributeInRow, setBindingContext, setClientApp, setDataProvider, setDef, setErrorHandler, setErrorHandlerActive, setLocaleContext, setName, setSessionContext, setTransactionModified, sync, syncIfNeeded, syncNeeded, toString, transactionStateChanged`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### EjbDataControl

    public EjbDataControl(java.lang.String name,
                          java.lang.String beanClass,
                          java.lang.Object beanInstance)

### EjbDataControl

    public EjbDataControl(java.lang.String name,
                          java.lang.String beanClass,
                          java.lang.Object beanInstance,
                          boolean root)

Method Detail

### isOperationSupported

    public boolean isOperationSupported(DCIteratorBinding iterBinding,
                                        byte oper)

  Returns true for find(execute), defers to super for the rest
  Overrides:
    `isOperationSupported` in class `DCGenericDataControl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.